'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var i18n = require('i18next');
require('i18next-browser-languagedetector');
var reactI18next = require('react-i18next');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var i18n__default = /*#__PURE__*/_interopDefaultCompat(i18n);

const ENGLISH_US = "en-US";
const FRENCH_FRANCE = "fr-FR";
const SPANISH_SPAIN = "es-ES";
const GERMAN_GERMANY = "de-DE";
const BRAZILIAN_PORTUGUESE = "pt-BR";
const CHINESE_SIMPLIFIED = "zh-Hans";
const ITALIAN_ITALY = "it-IT";
const JAPANESE_JAPAN = "ja-JP";
const INDONESIAN_INDONESIA = "id-ID";
const KOREAN_KOREA = "ko-KR";
const RUSSIAN_RUSSIA = "ru-RU";
const CZECH_CZECHIA = "cs-CZ";
const DUTCH_NETHERLANDS = "nl-NL";
const HUNGARIAN_HUNGARY = "hu-HU";
const PORTUGUESE_PORTUGAL = "pt-PT";
const POLISH_POLAND = "pl-PL";
const SWEDISH_SWEDEN = "sv-SE";
const TURKISH_TURKEY = "tr-TR";
const CHINESE_TRADITIONAL = "zh-Hant";
const DEFAULT_LANGUAGE = ENGLISH_US;
const PSEUDO_LOCALE = "pseudo";

const LANGUAGES = [
  { code: ENGLISH_US, name: "English" },
  { code: FRENCH_FRANCE, name: "Fran\xE7ais" },
  { code: SPANISH_SPAIN, name: "Espa\xF1ol" },
  { code: GERMAN_GERMANY, name: "Deutsch" },
  { code: CHINESE_SIMPLIFIED, name: "\u4E2D\u6587\uFF08\u7B80\u4F53\uFF09" },
  { code: BRAZILIAN_PORTUGUESE, name: "Portugu\xEAs Brasileiro" },
  { code: CHINESE_TRADITIONAL, name: "\u4E2D\u6587\uFF08\u7E41\u9AD4\uFF09" },
  { code: ITALIAN_ITALY, name: "Italiano" },
  { code: JAPANESE_JAPAN, name: "\u65E5\u672C\u8A9E" },
  { code: INDONESIAN_INDONESIA, name: "Bahasa Indonesia" },
  { code: KOREAN_KOREA, name: "\uD55C\uAD6D\uC5B4" },
  { code: RUSSIAN_RUSSIA, name: "\u0420\u0443\u0441\u0441\u043A\u0438\u0439" },
  { code: CZECH_CZECHIA, name: "\u010Ce\u0161tina" },
  { code: DUTCH_NETHERLANDS, name: "Nederlands" },
  { code: HUNGARIAN_HUNGARY, name: "Magyar" },
  { code: PORTUGUESE_PORTUGAL, name: "Portugu\xEAs" },
  { code: POLISH_POLAND, name: "Polski" },
  { code: SWEDISH_SWEDEN, name: "Svenska" },
  { code: TURKISH_TURKEY, name: "T\xFCrk\xE7e" }
];
if (process.env.NODE_ENV === "development") {
  LANGUAGES.push({ code: PSEUDO_LOCALE, name: "Pseudo-locale" });
}

let tFunc;
let transComponent;
async function initPluginTranslations(id) {
  var _a, _b, _c;
  if (!((_a = getI18nInstance().options) == null ? void 0 : _a.resources) || typeof getI18nInstance().options.resources !== "object") {
    await getI18nInstance().use(reactI18next.initReactI18next).init({
      resources: {},
      returnEmptyString: false,
      lng: DEFAULT_LANGUAGE
      // this should be the locale of the phrases in our source JSX
    });
  }
  if (!((_c = (_b = reactI18next.getI18n()) == null ? void 0 : _b.options) == null ? void 0 : _c.react)) {
    const options = {};
    reactI18next.setDefaults(options);
    reactI18next.setI18n(getI18nInstance());
  }
  tFunc = getI18nInstance().getFixedT(null, id);
  transComponent = (props) => /* @__PURE__ */ jsxRuntime.jsx(reactI18next.Trans, { shouldUnescape: true, ns: id, ...props });
  return { language: getI18nInstance().resolvedLanguage };
}
function getI18nInstance() {
  return i18n__default.default;
}
function t(id, defaultMessage, values) {
  if (!tFunc) {
    if (process.env.NODE_ENV !== "test") {
      console.warn(
        "t() was called before i18n was initialized. This is probably caused by calling t() in the root module scope, instead of lazily on render"
      );
    }
    if (process.env.NODE_ENV === "development") {
      throw new Error("t() was called before i18n was initialized");
    }
    tFunc = getI18nInstance().t;
  }
  return tFunc(id, defaultMessage, values);
}
function useTranslate() {
  return { t };
}
function Trans(props) {
  const Component = transComponent != null ? transComponent : reactI18next.Trans;
  return /* @__PURE__ */ jsxRuntime.jsx(Component, { shouldUnescape: true, ...props });
}

exports.BRAZILIAN_PORTUGUESE = BRAZILIAN_PORTUGUESE;
exports.CHINESE_SIMPLIFIED = CHINESE_SIMPLIFIED;
exports.CHINESE_TRADITIONAL = CHINESE_TRADITIONAL;
exports.CZECH_CZECHIA = CZECH_CZECHIA;
exports.DEFAULT_LANGUAGE = DEFAULT_LANGUAGE;
exports.DUTCH_NETHERLANDS = DUTCH_NETHERLANDS;
exports.ENGLISH_US = ENGLISH_US;
exports.FRENCH_FRANCE = FRENCH_FRANCE;
exports.GERMAN_GERMANY = GERMAN_GERMANY;
exports.HUNGARIAN_HUNGARY = HUNGARIAN_HUNGARY;
exports.INDONESIAN_INDONESIA = INDONESIAN_INDONESIA;
exports.ITALIAN_ITALY = ITALIAN_ITALY;
exports.JAPANESE_JAPAN = JAPANESE_JAPAN;
exports.KOREAN_KOREA = KOREAN_KOREA;
exports.LANGUAGES = LANGUAGES;
exports.POLISH_POLAND = POLISH_POLAND;
exports.PORTUGUESE_PORTUGAL = PORTUGUESE_PORTUGAL;
exports.PSEUDO_LOCALE = PSEUDO_LOCALE;
exports.RUSSIAN_RUSSIA = RUSSIAN_RUSSIA;
exports.SPANISH_SPAIN = SPANISH_SPAIN;
exports.SWEDISH_SWEDEN = SWEDISH_SWEDEN;
exports.TURKISH_TURKEY = TURKISH_TURKEY;
exports.Trans = Trans;
exports.initPluginTranslations = initPluginTranslations;
exports.useTranslate = useTranslate;
//# sourceMappingURL=index.cjs.map
