import { jsx } from 'react/jsx-runtime';
import i18n from 'i18next';
import 'i18next-browser-languagedetector';
import { initReactI18next, getI18n, setDefaults, setI18n, Trans as Trans$1 } from 'react-i18next';
import { DEFAULT_LANGUAGE } from './constants.mjs';
import './languages.mjs';

let tFunc;
let transComponent;
async function initPluginTranslations(id) {
  var _a, _b, _c;
  if (!((_a = getI18nInstance().options) == null ? void 0 : _a.resources) || typeof getI18nInstance().options.resources !== "object") {
    await getI18nInstance().use(initReactI18next).init({
      resources: {},
      returnEmptyString: false,
      lng: DEFAULT_LANGUAGE
      // this should be the locale of the phrases in our source JSX
    });
  }
  if (!((_c = (_b = getI18n()) == null ? void 0 : _b.options) == null ? void 0 : _c.react)) {
    const options = {};
    setDefaults(options);
    setI18n(getI18nInstance());
  }
  tFunc = getI18nInstance().getFixedT(null, id);
  transComponent = (props) => /* @__PURE__ */ jsx(Trans$1, { shouldUnescape: true, ns: id, ...props });
  return { language: getI18nInstance().resolvedLanguage };
}
function getI18nInstance() {
  return i18n;
}
function t(id, defaultMessage, values) {
  if (!tFunc) {
    if (process.env.NODE_ENV !== "test") {
      console.warn(
        "t() was called before i18n was initialized. This is probably caused by calling t() in the root module scope, instead of lazily on render"
      );
    }
    if (process.env.NODE_ENV === "development") {
      throw new Error("t() was called before i18n was initialized");
    }
    tFunc = getI18nInstance().t;
  }
  return tFunc(id, defaultMessage, values);
}
function useTranslate() {
  return { t };
}
function Trans(props) {
  const Component = transComponent != null ? transComponent : Trans$1;
  return /* @__PURE__ */ jsx(Component, { shouldUnescape: true, ...props });
}

export { Trans, getI18nInstance, initPluginTranslations, t, useTranslate };
//# sourceMappingURL=i18n.mjs.map
